
/* ----------
01 - ICO
-------------*/


/* 
ICOMOON

	Création d'un pack d'icones depuis le site https://icomoon.io/
	Avec les identifiants : tech@medialibs.com / MlibsTECH44


*/



@font-face {
  font-family: 'icomoon';
  src:  url('/wp-content/themes/mediapilote/css/fonts/icomoon/icomoon.eot?pd0sxa');
  src:  url('/wp-content/themes/mediapilote/css/fonts/icomoon/icomoon.eot?pd0sxa#iefix') format('embedded-opentype'),
    url('/wp-content/themes/mediapilote/css/fonts/icomoon/icomoon.ttf?pd0sxa') format('truetype'),
    url('/wp-content/themes/mediapilote/css/fonts/icomoon/icomoon.woff?pd0sxa') format('woff'),
    url('/wp-content/themes/mediapilote/css/fonts/icomoon/icomoon.svg?pd0sxa#icomoon') format('svg');
  font-weight: normal;
  font-style: normal;
  font-display: block;
}

[class^="icon-"], [class*=" icon-"] {
  /* use !important to prevent issues with browser extensions that change fonts */
  font-family: 'icomoon' !important;
  speak: never;
  font-style: normal;
  font-weight: normal;
  font-size: 30px;
  font-variant: normal;
  text-transform: none;
  line-height: 1;

  /* Better Font Rendering =========== */
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
}

.icon-facebook:before {
  content: "\e900";
}
.icon-instagram:before {
  content: "\e901";
}
.icon-linkedin:before {
  content: "\e902";
}
.icon-pinterest:before {
  content: "\e903";
}
.icon-twitter:before {
  content: "\e904";
}
.icon-youtube:before {
  content: "\e905";
}









/* 

	ICON AVEC UN SPRITE SVG

*/


[class*="ico-"]::after  {
	content: '';
	width: 35px;
	height: 30px;
	display: inline-block;
	background-image: url(/wp-content/themes/mediapilote/img/charte/sprite.svg);
	background-repeat: no-repeat;
	background-size: 400px auto;
	background-position: -344px -10px;
}

[class*="ico-small-"]::after{
	min-width: 20px;
	width: 20px;
	height: 20px;

}
[class*="ico-big-"]::after{
	min-width: 80px;
	width: 80px;
	height: 80px;

}

		.ico-small-edit::after{
			background-position: -80px -80px;
		}
		/**/

		.ico-search::after{
			background-position: -360px 0;
		}
		.ico-open-search::after{
			margin-left: auto;
			cursor: pointer;
		}
		
		.ico-close::after{
			background-position: -40px -80px;
		}
		.ico-search-close::after{
			cursor: pointer;
			position: absolute;
			top: 20px;
			right: 20px;
		}

		.ico-cart{
			background-position: -40px 0;
		}
		.ico-cart:hover{
			background-position: -40px -40px;
		}

		.ico-user:hover{
			background-position: 0 0;
		}
		.ico-user:hover:hover{
			background-position: 0 -40px;
		}


		/* Arrow */
		.ico-arrow{
			background-position: -100px -80px;
		}
		.ico-arrow-prev{
			transform:rotate(180deg)
		}



		/* Réseaux sociaux */

			/*Facebook*/
			.ico-facebook{
				background-position: -80px 0;
			}
			.ico-facebook:hover{
				background-position: -80px -40px;
			}
			/*Twitter*/
			.ico-twitter{
				background-position: -120px 0;
			}
			.ico-twitter:hover{
				background-position: -120px -40px;
			}	
			/*google*/
			.ico-google{
				background-position: -160px 0;
			}
			.ico-google:hover{
				background-position: -160px -40px;
			}
			/*linkedin*/
			.ico-linkedin{
				background-position: -200px 0;
			}
			.ico-linkedin:hover{
				background-position: -200px -40px;
			}
			/*instagram*/
			.ico-instagram{
				background-position: -240px 0;
			}
			.ico-instagram:hover{
				background-position: -240px -40px;
			}
